//
//  ViewController.m
//  BlockMTDemo
//
//  Created by Martin Banas on 09/04/14.
//  Copyright (c) 2014 Martin Banas. All rights reserved.
//

#import "ViewController.h"
#import "DetailViewController.h"

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];

}

#pragma mark - Segues

- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    if ([segue.identifier isEqualToString:@"DetailSegue"]) {
        [(DetailViewController *)segue.destinationViewController setTask:[sender integerValue]];
    }
}

#pragma mark - Actions

- (IBAction)performTaskWithOperation:(id)sender {
    [self performSegueWithIdentifier:@"DetailSegue" sender:@(2)];
}

- (IBAction)performTaskOnBackground:(id)sender {
    [self performSegueWithIdentifier:@"DetailSegue" sender:@(1)];
}

- (IBAction)performTaskOnMainThread:(id)sender {
    [self performSegueWithIdentifier:@"DetailSegue" sender:@(0)];
}

@end
